import { _decorator, Component, Node, RigidBody, input, Input, EventKeyboard, KeyCode, Vec3 } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Test')
export class Test extends Component {
    private _rigidBody: RigidBody = null!;

    onLoad(): void {
        this._rigidBody = this.node.getComponent(RigidBody);
    }

    start() {
        input.on(Input.EventType.KEY_DOWN, this.onKeyDown, this);
    }

    private onKeyDown(event: EventKeyboard): void {
        const keycode = event.keyCode;
        if (keycode === KeyCode.KEY_D) {
            this._rigidBody.setLinearVelocity(new Vec3(0, 0, -2));
        } else if (keycode === KeyCode.KEY_X) {
            this._rigidBody.setLinearVelocity(new Vec3());
        } else if (keycode === KeyCode.KEY_A) {
            this._rigidBody.setLinearVelocity(new Vec3(0, 0, 2));
        }
    }
}


